<?php

$table = array
(
	1 => '资讯',
	2 => '课程',
	3 => '会议',
);

$info = function()
{
	$array = array();
	$info = Dever::load('set/info-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'review',
	# 显示给用户看的名称
	'lang' => '评论列表',
	# 是否显示在后台菜单
	'order' => 80,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'search'	=> 'select',
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#name", {uid}) : "匿名用户"',
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属小程序',
			'default' 	=> '1',
			'desc' 		=> '请选择所属小程序',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $info,
			'search'	=> 'select',
			'list'		=> '{info_id} > 0 ? Dever::load("set/info-one#name", {info_id}) : "未知"',
		),

		'source_table' 		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '评论类别',
			'default' 	=> '',
			'desc' 		=> '评论类别',
			'match' 	=> 'option',
			'option' 	=> $table,
			'list'		=> true,
		),
		
		'source_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'option',
			'list'		=> 'Dever::load("set/manage.load", "{source_table}", {source_id})',
		),

		'num_up'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '赞数',
			'default' 	=> '0',
			'desc' 		=> '请填写赞数',
			'match' 	=> 'option',
			//'search'	=> 'order',
			'list'		=> true,
			//'list'		=> '"赞数：{num_up}<br />浏览量：{num_view}+{num_add_view}<br />观看人数：{num_watch}<br />回复数：{num_review}<br />"',
			//'list_name'	=> '统计数字',
		),
		
		'content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '内容',
			'update' 	=> 'editor',
			'key'		=> 1,
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			'list'		=> 'table',
			'modal'		=> '查看详情',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'info_id' => 'yes',
				'source_table' => 'yes',
				'source_id' => 'yes',
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'page' => array(10, 'list'),
			'col' => '*',
		),

		# 更新点赞数
		'addUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '+='),
			),
		),
		
		# 更新点赞数
		'desUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '-='),
			),
		),
	),
);
