<?php

namespace Comment\Src;

use Dever;
use Content\Lib\Base;

class Review extends Base
{
	/**
     * 评论列表
     *
     * @return mixed
     */
    public function rlist()
    {
        //$this->check_user();
        $source_table = Dever::input('type');
        $source_id = Dever::input('id');

        $data = Dever::load('comment/review-getAll', array('option_info_id' => $this->data['info']['id'], 'option_source_table' => $source_table, 'option_source_id' => $source_id));
        $this->data['review'] = array();
        if ($data) {
            foreach ($data as $k => $v) {
                $v['cdate'] = date('Y-m-d H:i', $v['cdate']);
                $v['user'] = Dever::load('passport/user-one', $v['uid']);
                $v['vote'] = $this->vote(4, $v['id']);
                $this->data['review'][$k] = $this->handlePic($v);
            }
        }
        return $this->data;
    }

    /**
     * 发表评论
     *
     * @return mixed
     */
    public function submit()
    {
        $this->check_user();
        $source_table = Dever::input('type');
        $source_id = Dever::input('id');
        $content = Dever::input('content');
        if (!$content) {
            Dever::alert('请输入内容');
        }
        //后续添加内容过滤
        //$ip = Dever::ip();
        $uid = Dever::input('uid');

        $user = Dever::load('passport/user-one', $uid);
        if ($user) {
            $data = Dever::load('comment/review-one', array('option_info_id' => $this->data['info']['id'], 'option_source_table' => $source_table, 'option_source_id' => $source_id, 'option_uid' => $uid, 'option_content' => $content));

            if ($data) {
                $id = $data['id'];
                $update['set_cdate'] = time();
                $update['where_id'] = $id;
                Dever::load('comment/review-update', $update);
            } else {
                $insert['add_source_table'] = $source_table;
                $insert['add_source_id'] = $source_id;
                //$insert['add_ip'] = $ip;
                $insert['add_content'] = $content;
                $insert['add_uid'] = $uid;
                $insert['add_info_id'] = $this->data['info']['id'];

                $id = Dever::load('comment/review-insert', $insert);

                $this->count($source_table, $source_id, 'comment/review', 'num_review');
                
            }
            return $id;
        }

        Dever::alert('请授权');
    }
}
