<?php

namespace Comment\Src;

use Dever;
use Content\Lib\Base;

class Share extends Base
{
    /**
     * 分享
     *
     * @return mixed
     */
    public function submit()
    {
        $this->check_user();
        $source_table = Dever::input('type');
        $source_id = Dever::input('id');
        $uid = Dever::input('uid');
        $content = Dever::input('content');

        $key = $this->session($uid . '_' . $source_table . '_' . $source_id);
        $info = Dever::load('comment/share-one', array('option_source_table' => $source_table, 'option_source_id' => $source_id, 'option_uid' => $uid, 'option_key' => $key));

        if (!$info) {
            $insert['add_source_table'] = $source_table;
            $insert['add_source_id'] = $source_id;
            $insert['add_uid'] = $uid;
            $insert['add_info_id'] = $this->data['info']['id'];
            $insert['add_key'] = $key;
            $insert['add_content'] = $content;

            $id = Dever::load('comment/share-insert', $insert);
        } else {
            $id = $info['id'];
            $update['set_cdate'] = time();
            $update['where_id'] = $id;
            Dever::load('comment/share-update', $update);
        }
        

        $result['share_uid'] = $uid;
        $result['share_key'] = $key;
        $result['share_id'] = $id;

        return $result;
    }

    /**
     * 分享回流
     *
     * @return mixed
     */
    public function reflux()
    {
        $this->check_user();
        $source_uid = Dever::input('share_uid');
        $key = Dever::input('share_key');
        $id = Dever::input('share_id');
        $uid = Dever::input('uid');

        $info = Dever::load('comment/share-one', $id);
        if ($info) {
            $insert['add_source_table'] = $info['source_table'];
            $insert['add_source_id'] = $info['source_id'];
            $insert['add_share_id'] = $id;
            $insert['add_source_uid'] = $source_uid;
            $insert['add_uid'] = $uid;
            $insert['add_info_id'] = $this->data['info']['id'];
            if ($source_uid != $uid && $this->check_session($source_uid . '_' . $info['source_table'] . '_' . $info['source_id'], $key)) {
                Dever::load('comment/share_reflux-insert', $insert);
            }
        }

        return true;
    }
}
