<?php

namespace Content\V1;

use Dever;

class Vote
{
    /**
     * @api {get} v1/vote.submit 提交点赞
     * @apiVersion 1.0.0
     * @apiName vote.submit
     * @apiGroup Comment
     *
     * @apiDescription 用户提交点赞数接口
     *
     * @apiParam {Number} appid 小程序id
     * @apiParam {Number} uid 用户id
     * @apiParam {String} session 验证用户的session
     * @apiParam {Number} type 评论的类型：1为资讯2为课程3为会议4为评论
     * @apiParam {Number} id 点赞的类型id
     *
     * @apiSuccess {Number}   id  点赞id
     *
     * @apiSuccessExample 操作成功
     * {"status":1,"code":1,"msg":"success","data":1}
     *
     * @apiErrorExample 操作失败
     * {"status":2,"code":1,"msg":"\u9519\u8bef\u7684\u5c0f\u7a0b\u5e8fid"}
     */
    public function submit_api()
    {
        return Dever::load('comment/vote.submit');
    }
}
