<?php

namespace Content\V1;

use Dever;

class Watch
{
    /**
     * @api {get} v1/watch.submit 用户观看
     * @apiVersion 1.0.0
     * @apiName watch.submit
     * @apiGroup Comment
     *
     * @apiDescription 用户提交观看接口
     *
     * @apiParam {Number} appid 小程序id
     * @apiParam {Number} uid 用户id
     * @apiParam {String} session 验证用户的session
     * @apiParam {Number} id 课程id
     *
     * @apiSuccess {Number}   id  观看id
     *
     * @apiSuccessExample 操作成功
     * {"status":1,"code":1,"msg":"success","data":1}
     *
     * @apiErrorExample 操作失败
     * {"status":2,"code":1,"msg":"\u9519\u8bef\u7684\u5c0f\u7a0b\u5e8fid"}
     */
    public function submit_api()
    {
        return Dever::load('comment/watch.submit');
    }
}
