define({ "api": [
  {
    "type": "get",
    "url": "v1/review.list",
    "title": "评论列表",
    "version": "1.0.0",
    "name": "review_list",
    "group": "Comment",
    "description": "<p>评论列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户的session</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "type",
            "description": "<p>评论的类型：1为资讯2为课程</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>评论的类型id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "review",
            "description": "<p>评论信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "review.id",
            "description": "<p>评论id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "review.content",
            "description": "<p>评论内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "review.cdate",
            "description": "<p>时间</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "review.user",
            "description": "<p>评论用户信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "review.user.id",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "review.user.pic",
            "description": "<p>用户头像</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "review.user.name",
            "description": "<p>用户昵称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"uid\":1,\"session\":\"111\"}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Review.php",
    "groupTitle": "Comment"
  },
  {
    "type": "get",
    "url": "v1/review.submit",
    "title": "提交新评论",
    "version": "1.0.0",
    "name": "review_submit",
    "group": "Comment",
    "description": "<p>用户提交新评论接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户的session</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "type",
            "description": "<p>评论的类型：1为资讯2为课程</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>评论的类型id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "content",
            "description": "<p>用户提交的评论内容</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>评论id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":1}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Review.php",
    "groupTitle": "Comment"
  },
  {
    "type": "get",
    "url": "v1/share.reflux",
    "title": "分享回流",
    "version": "1.0.0",
    "name": "share_reflux",
    "group": "Comment",
    "description": "<p>用户分享回流接口，当path路径中有share_id时，请调用本接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户的session</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "share_uid",
            "description": "<p>分享人的用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "share_id",
            "description": "<p>分享的id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "share_key",
            "description": "<p>分享的session</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Bool",
            "optional": false,
            "field": "state",
            "description": "<p>是否成功，无需关注这个接口返回值</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":true}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Share.php",
    "groupTitle": "Comment"
  },
  {
    "type": "get",
    "url": "v1/share.submit",
    "title": "提交分享",
    "version": "1.0.0",
    "name": "share_submit",
    "group": "Comment",
    "description": "<p>用户提交分享接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户的session</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "type",
            "description": "<p>分享的类型：1为资讯2为课程</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>分享的类型id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "content",
            "description": "<p>分享的内容</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "share_uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "share_key",
            "description": "<p>分享的session</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "share_id",
            "description": "<p>分享的唯一id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "desc",
            "description": "<p>请将上述几个字段都放到分享的path中：/path/?share_uid=1&amp;share_key=1&amp;share_id=1</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"type\":1,\"id\":1,\"uid\":1,\"key\":\"11\", \"share_id\":1}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Share.php",
    "groupTitle": "Comment"
  },
  {
    "type": "get",
    "url": "v1/vote.submit",
    "title": "提交点赞",
    "version": "1.0.0",
    "name": "vote_submit",
    "group": "Comment",
    "description": "<p>用户提交点赞数接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户的session</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "type",
            "description": "<p>点赞的类型：1为资讯2为课程</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>点赞的类型id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>点赞id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":1}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Vote.php",
    "groupTitle": "Comment"
  },
  {
    "type": "get",
    "url": "v1/news.index",
    "title": "首页接口",
    "version": "1.0.0",
    "name": "api_index",
    "group": "Data",
    "description": "<p>小程序的首页接口</p> <p>apiSampleRequest /v1/news.index</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "cate",
            "description": "<p>主栏目信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "cate.id",
            "description": "<p>栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate.name",
            "description": "<p>栏目名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "cate_child",
            "description": "<p>子栏目信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "cate_child.id",
            "description": "<p>栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.name",
            "description": "<p>栏目名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "cate_child.cate_id",
            "description": "<p>上级栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "cate_child.news",
            "description": "<p>资讯信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "cate_child.news.id",
            "description": "<p>资讯id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.news.name",
            "description": "<p>资讯标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.news.content",
            "description": "<p>资讯内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.news.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.news.cdate",
            "description": "<p>时间</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "cate_child.news.author",
            "description": "<p>作者信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "cate_child.news.author.id",
            "description": "<p>作者id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.news.author.name",
            "description": "<p>作者姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "cate_child.news.author.pic",
            "description": "<p>作者头像</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"cate\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u4e0d\\u5f97\\u4e0d\\u5b66\\u4e60\\u7cfb\\u5217\",\"cate_id\":\"-1\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"1521814022\"},\"cate_child\":[{\"id\":\"3\",\"name\":\"\\u5341\\u5927\\u6848\\u4f8b\",\"cate_id\":\"1\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"1521858511\",\"news\":[{\"id\":\"1\",\"name\":\"\\u4e07\\u8fbe\\u57ce\\u521b\\u65b0\\u4e1a\\u6001\\u7814\\u7a76\\u62a5\\u544a\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"cate_id\":\"3\",\"info_id\":\"1\",\"author_id\":\"1\",\"content\":\"<p>\\u5730\\u65b9\\u5927\\u5e45\\u5ea6\\u53d1<\\/p>\",\"num_view\":\"0\",\"cdate\":\"9\\u5c0f\\u65f6\\u524d\",\"author\":{\"id\":\"1\",\"name\":\"\\u7a0b\\u8302\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"state\":\"1\",\"cdate\":\"1521858481\"}}]},{\"id\":\"2\",\"name\":\"\\u5341\\u5927\\u680f\\u76ee\",\"cate_id\":\"1\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"1521858505\"}]},\"page\":{\"total\":\"1\",\"current_page\":1,\"total_page\":1,\"next_page\":1,\"prev_page\":1,\"html\":\"\",\"status\":0}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/News.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/course.list",
    "title": "听课列表",
    "version": "1.0.0",
    "name": "course_list",
    "group": "Data",
    "description": "<p>小程序的听课列表接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "course",
            "description": "<p>听课信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "course.id",
            "description": "<p>听课id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.name",
            "description": "<p>听课标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.content",
            "description": "<p>听课内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.video",
            "description": "<p>视频地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.audio",
            "description": "<p>音频地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.cdate",
            "description": "<p>时间</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "course.author",
            "description": "<p>作者信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "course.author.id",
            "description": "<p>作者id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.author.name",
            "description": "<p>作者姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.author.pic",
            "description": "<p>作者头像</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"course\":[{\"id\":\"1\",\"name\":\"\\u662f\\u662f\\u662f\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"info_id\":\"1\",\"author_id\":\"1\",\"content\":\"<p>23132323<\\/p>\",\"num_view\":\"2\",\"cdate\":\"1\\u5206\\u949f\\u524d\",\"author\":{\"id\":\"1\",\"name\":\"\\u7a0b\\u8302\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"state\":\"1\",\"cdate\":\"1521858481\"}}]},\"page\":{\"total\":\"1\",\"current_page\":1,\"total_page\":1,\"next_page\":1,\"prev_page\":1,\"html\":\"\",\"status\":0}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Course.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/course.view",
    "title": "课程详情",
    "version": "1.0.0",
    "name": "course_view",
    "group": "Data",
    "description": "<p>小程序的课程详情接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>课程id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "course",
            "description": "<p>听课信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "course.id",
            "description": "<p>听课id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.name",
            "description": "<p>听课标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.content",
            "description": "<p>听课内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.video",
            "description": "<p>视频地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.audio",
            "description": "<p>音频地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.cdate",
            "description": "<p>时间</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "course.author",
            "description": "<p>作者信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "course.author.id",
            "description": "<p>作者id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.author.name",
            "description": "<p>作者姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "course.author.pic",
            "description": "<p>作者头像</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"course\":{\"id\":\"1\",\"name\":\"\\u662f\\u662f\\u662f\",\"info_id\":\"1\",\"author_id\":\"1\",\"video\":\"123123\",\"audio\":\"3232\",\"num_add_view\":\"0\",\"num_up\":\"0\",\"num_view\":\"1\",\"num_review\":\"0\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"content\":\"<p>23132323<\\/p>\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"42\\u79d2\\u524d\",\"author\":{\"id\":\"1\",\"name\":\"\\u7a0b\\u8302\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"state\":\"1\",\"cdate\":\"1521858481\"}}}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Course.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/meeting.list",
    "title": "会议列表",
    "version": "1.0.0",
    "name": "meeting_list",
    "group": "Data",
    "description": "<p>小程序的会议列表接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "meeting",
            "description": "<p>听课信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "meeting.id",
            "description": "<p>听课id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.name",
            "description": "<p>听课标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.content",
            "description": "<p>听课内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.cdate",
            "description": "<p>时间</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"meeting\":[{\"id\":\"1\",\"name\":\"\\u6d4b\\u8bd5\",\"info_id\":\"1\",\"desc\":\"\\u98a0\\u4e09\\u5012\\u56db\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"sdate\":\"1521734400\",\"edate\":\"1537804800\",\"content\":\"\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"4\\u5206\\u949f\\u524d\"}]},\"page\":{\"total\":\"1\",\"current_page\":1,\"total_page\":1,\"next_page\":1,\"prev_page\":1,\"html\":\"\",\"status\":0}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Meeting.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/meeting.view",
    "title": "会议详情",
    "version": "1.0.0",
    "name": "meeting_view",
    "group": "Data",
    "description": "<p>小程序的会议详情接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>会议id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "meeting",
            "description": "<p>听课信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "meeting.id",
            "description": "<p>听课id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.name",
            "description": "<p>听课标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.content",
            "description": "<p>听课内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meeting.cdate",
            "description": "<p>时间</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"meeting\":{\"id\":\"1\",\"name\":\"\\u6d4b\\u8bd5\",\"info_id\":\"1\",\"desc\":\"\\u98a0\\u4e09\\u5012\\u56db\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"sdate\":\"1521734400\",\"edate\":\"1537804800\",\"content\":\"\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"4\\u5206\\u949f\\u524d\"}}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Meeting.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/news.list",
    "title": "资讯列表",
    "version": "1.0.0",
    "name": "news_list",
    "group": "Data",
    "description": "<p>小程序的资讯列表接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "cateid",
            "description": "<p>子栏目id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "news",
            "description": "<p>资讯信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "news.id",
            "description": "<p>资讯id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.name",
            "description": "<p>资讯标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.content",
            "description": "<p>资讯内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.cdate",
            "description": "<p>时间</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "news.author",
            "description": "<p>作者信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "news.author.id",
            "description": "<p>作者id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.author.name",
            "description": "<p>作者姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.author.pic",
            "description": "<p>作者头像</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"news\":[{\"id\":\"1\",\"name\":\"\\u4e07\\u8fbe\\u57ce\\u521b\\u65b0\\u4e1a\\u6001\\u7814\\u7a76\\u62a5\\u544a\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"cate_id\":\"3\",\"info_id\":\"1\",\"author_id\":\"1\",\"content\":\"<p>\\u5730\\u65b9\\u5927\\u5e45\\u5ea6\\u53d1<\\/p>\",\"num_view\":\"0\",\"cdate\":\"9\\u5c0f\\u65f6\\u524d\",\"author\":{\"id\":\"1\",\"name\":\"\\u7a0b\\u8302\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"state\":\"1\",\"cdate\":\"1521858481\"}}]},\"page\":{\"total\":\"1\",\"current_page\":1,\"total_page\":1,\"next_page\":1,\"prev_page\":1,\"html\":\"\",\"status\":0}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/News.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/news.view",
    "title": "资讯详情",
    "version": "1.0.0",
    "name": "news_view",
    "group": "Data",
    "description": "<p>小程序的资讯详情接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>资讯id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>小程序基本信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.id",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "info.cate_id",
            "description": "<p>小程序所属栏目id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.title",
            "description": "<p>首页标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.pic",
            "description": "<p>首页头图</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "news",
            "description": "<p>资讯信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "news.id",
            "description": "<p>资讯id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.name",
            "description": "<p>资讯标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.content",
            "description": "<p>资讯内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.num_view",
            "description": "<p>阅读数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.cdate",
            "description": "<p>时间</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "news.author",
            "description": "<p>作者信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "news.author.id",
            "description": "<p>作者id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.author.name",
            "description": "<p>作者姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "news.author.pic",
            "description": "<p>作者头像</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"info\":{\"id\":\"1\",\"name\":\"\\u7279\\u8272\\u5c0f\\u9547\\u600e\\u4e48\\u641e\",\"cate_id\":\"1\",\"logo\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"title\":\"test\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"state\":\"1\",\"cdate\":\"1521858466\"},\"news\":{\"id\":\"1\",\"name\":\"\\u4e07\\u8fbe\\u57ce\\u521b\\u65b0\\u4e1a\\u6001\\u7814\\u7a76\\u62a5\\u544a\",\"info_id\":\"1\",\"author_id\":\"1\",\"cate_id_parent\":\"1\",\"cate_id\":\"3\",\"num_add_view\":\"0\",\"num_up\":\"0\",\"num_view\":\"0\",\"num_review\":\"0\",\"pic\":[\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\"],\"top\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/da31b5d54d15192fea10406f77f4b0cb.jpg\",\"content\":\"<p>\\u5730\\u65b9\\u5927\\u5e45\\u5ea6\\u53d1<\\/p>\",\"reorder\":\"1\",\"state\":\"1\",\"cdate\":\"9\\u5c0f\\u65f6\\u524d\",\"author\":{\"id\":\"1\",\"name\":\"\\u7a0b\\u8302\",\"pic\":\"http:\\/\\/192.168.33.10\\/plant\\/data\\/upload\\/1\\/2018\\/03\\/24\\/1e493a87d4cdddde7fd06ad9762694d2.jpg\",\"state\":\"1\",\"cdate\":\"1521858481\"}}}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/News.php",
    "groupTitle": "Data"
  },
  {
    "type": "get",
    "url": "v1/login.bind",
    "title": "用户登录",
    "version": "1.0.0",
    "name": "login_bind",
    "group": "User",
    "description": "<p>用户登录接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>小程序登录的code</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户有效性的session key 请保存在客户端</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":{\"uid\":1,\"session\":\"111\"}}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Login.php",
    "groupTitle": "User"
  },
  {
    "type": "get",
    "url": "v1/login.update",
    "title": "更新用户信息",
    "version": "1.0.0",
    "name": "login_update",
    "group": "User",
    "description": "<p>用户更新信息接口</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "appid",
            "description": "<p>小程序id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "session",
            "description": "<p>验证用户的session</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "操作成功",
          "content": "{\"status\":1,\"code\":1,\"msg\":\"success\",\"data\":1}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "操作失败",
          "content": "{\"status\":2,\"code\":1,\"msg\":\"\\u9519\\u8bef\\u7684\\u5c0f\\u7a0b\\u5e8fid\"}",
          "type": "json"
        }
      ]
    },
    "filename": "/root/input/content/v1/Login.php",
    "groupTitle": "User"
  }
] });
